GPDASM(1)

NAME
gpdasm - GNU PIC disassembler

SYNOPSIS
gpdasm [options] file

WARNING
The information in this man page is an extract from the full documentation of gputils and is limited to the meaning of the options. For complete and current documentation, refer to "gputils.ps" located in the gputils docs directory.

DESCRIPTION
gpdasm is an disassembler for Microchip (TM) PIC (TM) micro-controllers. gpdasm is part of gputils. Check the gputils(1) manpage for details on other GNU PIC utilities.

OPTIONS

-c, --mnemonics
    Decode special mnemonics.

-h, --help
    Show the usage message and exit.

-i, --hex-info
    Report extra information about input hex file. This information includes file size and hex format.

-l, --list-chips
    List the supported processors.

-m, --dump
    Display the contents of instruction memory.

-p PROC, --processor PROC
    Select the processor.

-s, --short
    Output the short format. This format can be reassembled by gpasm.

-v, --version
    Show the version information and exit.

-y, --extended
    Enable 18xx extended mode.

--strict
    Disassemble only opcodes generated by gpasm in case of instructions with several opcodes.

SEE ALSO
gputils(1)

AUTHOR
Craig Franklin <craigfranklin@users.sourceforge.net>

COPYRIGHT
Copyright (C) 2002, 2003, 2004, 2005 Craig Franklin This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.